# Class GLRenderer

java.lang.Object
robocode.robocodeGL.system.GLRenderer

public class GLRenderer extends Object
Dummy class that stub out RobocodeGL 0.1.4 functionality. Original author is David Alves for RobocodeGL.

## Constructor Summary

Constructors
Constructor
Description
`GLRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRenderElement(robocode.robocodeGL.RenderElement e)`
`static GLRenderer`
`getInstance()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GLRenderer

public GLRenderer()

## Method Details

### getInstance

public static GLRenderer getInstance()

### addRenderElement

public void addRenderElement(robocode.robocodeGL.RenderElement e)